| OpenMS 2.5.0

FileFilter

Extracts portions of the data from an mzML, featureXML or consensusXML file.

pot. predecessor tools | FileFilter | pot. successor tools
any tool yielding output in mzML, featureXML or consensusXML format | any tool that profits on reduced input

With this tool it is possible to extract m/z, retention time and intensity ranges from an input file and to write all data that lies within the given ranges to an output file.

Depending on the input file type, additional specific operations are possible:

- mzML
  - extract spectra of a certain MS level
  - filter by signal-to-noise estimation
  - filter by scan mode of the spectra
  - filter by scan polarity of the spectra
- remove MS2 scans whose precursor matches identifications (from an idXML file in 'id:blacklist')
- featureXML
  - filter by feature charge
  - filter by feature size (number of subordinate features)
  - filter by overall feature quality
- consensusXML
  - filter by size (number of elements in consensus features)
  - filter by consensus feature charge
  - filter by map (extracts specified maps and re-evaluates consensus centroid)
    e.g. FileFilter -map 2 3 5 -in file1.consensusXML -out file2.consensusXML
    If a single map is specified, the feature itself can be extracted.
    e.g. FileFilter -map 5 -in file1.consensusXML -out file2.featureXML
- featureXML / consensusXML:
- remove items with a certain meta value annotation. Allowing for >, < and = comparisons. List types are compared by length, not content. Integer, Double and String are compared using their build-in operators.
  - filter sequences, e.g. "LYSNLVER" or the modification "(Phospho)"
    e.g. FileFilter -id:sequences_whitelist Phospho -in file1.consensusXML -out file2.consensusXML
  - filter accessions, e.g. "sp|P02662|CASA1_BOVIN"
  - remove features with annotations
  - remove features without annotations
  - remove unassigned peptide identifications
  - filter id with best score of features with multiple peptide identifications
    e.g. FileFilter -id:remove_unannotated_features -id:remove_unassigned_ids -id:keep_best_score_id -in file1.featureXML -out file2.featureXML
  - remove features with id clashes (different sequences mapped to one feature)

The priority of the id-flags is (decreasing order): remove_annotated_features / remove_unannotated_features -> remove_clashes -> keep_best_score_id -> sequences_whitelist / accessions_whitelist

MS2 and higher spectra can be filtered according to precursor m/z (see 'peak_options:pc_mz_range'). This flag can be combined with 'rt' range to filter precursors by RT and m/z. If you want to extract an MS1 region with untouched MS2 spectra included, you will need to split the dataset by MS level, then use the 'mz' option for MS1 data and 'peak_options:pc_mz_range' for MS2 data. Afterwards merge the two files again. RT can be filtered at any step.

Note
  For filtering peptide/protein identification data, see the IDFilter tool.
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    FileFilter -- Extracts or manipulates portions of data from peak, feature or consensus-feature files.

    Full documentation: http://www.openms.de/documentation/TOPP_FileFilter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      FileFilter <options>

    This tool has algorithm parameters that are not shown here! Please check the ini file for a detailed descript

    ion or use the --helphelp option.

    Options (mandatory options marked with '*'):

      -in <file>*                                                  Input file (valid formats: 'mzML', 'featureXML

                                                                   ', 'consensusXML')

      -in_type <type>                                              Input file type -- default: determined from

                                                                   file extension or content (valid: 'mzML', 'fea

                                                                   tureXML', 'consensusXML')

      -out <file>*                                                 Output file (valid formats: 'mzML', 'featureXM

                                                                   L', 'consensusXML')

      -out_type <type>                                             Output file type -- default: determined from

                                                                   file extension or content (valid: 'mzML', 'fea

                                                                   tureXML', 'consensusXML')

      -rt [min]:[max]                                              Retention time range to extract (default: ':')

      -mz [min]:[max]                                              M/z range to extract (applies to ALL ms levels

                                                                   !) (default: ':')

      -int [min]:[max]                                             Intensity range to extract (default: ':')

      -sort                                                        Sorts the output according to RT and m/z.

    Peak data options:

      -peak_options:sn <s/n ratio>                                 Write peaks with S/N > 'sn' values only (defau

                                                                   lt: '0.0')

      -peak_options:rm_pc_charge i j ...                           Remove MS(2) spectra with these precursor char

                                                                   ges. All spectra without precursor are kept!

      -peak_options:pc_mz_range [min]:[max]                        MSn (n>=2) precursor filtering according to

                                                                   their m/z value. Do not use this flag in conju

                                                                   nction with 'mz', unless you want to actually

                                                                   remove peaks in spectra (see 'mz'). RT filteri

                                                                   ng is covered by 'rt' and compatible with this

                                                                   flag. (default: ':')

      -peak_options:pc_mz_list mz_1 mz_2 ...                       List of m/z values. If a precursor window cove

                                                                   rs ANY of these values, the corresponding MS/M

                                                                   S spectrum will be kept.

      -peak_options:level i j ...                                  MS levels to extract (default: '[1 2 3]')

      -peak_options:sort_peaks                                     Sorts the peaks according to m/z

      -peak_options:no_chromatograms                               No conversion to space-saving real chromatogra

                                                                   ms, e.g. from SRM scans

      -peak_options:remove_chromatograms                           Removes chromatograms stored in a file

      -peak_options:remove_empty                                   Removes spectra and chromatograms without peak

                                                                   s.

      -peak_options:mz_precision 32 or 64                          Store base64 encoded m/z data using 32 or 64

                                                                   bit precision (default: '64' valid: '32', '64'

                                                                   )

      -peak_options:int_precision 32 or 64                         Store base64 encoded intensity data using 32

                                                                   or 64 bit precision (default: '32' valid: '32'

                                                                   , '64')

      -peak_options:indexed_file true or false                     Whether to add an index to the file when writi

                                                                   ng (default: 'true' valid: 'true', 'false')

      -peak_options:zlib_compression true or false                 Whether to store data with zlib compression

                                                                   (lossless compression) (default: 'false' valid

                                                                   : 'true', 'false')

    Numpress compression for peak data:

      -peak_options:numpress:masstime <compression_scheme>         Apply MS Numpress compression algorithms in

                                                                   m/z or rt dimension (recommended: linear) (def

                                                                   ault: 'none' valid: 'none', 'linear', 'pic',

                                                                   'slof')

      -peak_options:numpress:intensity <compression_scheme>        Apply MS Numpress compression algorithms in

                                                                   intensity dimension (recommended: slof or pic)

                                                                   (default: 'none' valid: 'none', 'linear',

                                                                   'pic', 'slof')

      -peak_options:numpress:float_da <compression_scheme>         Apply MS Numpress compression algorithms for

                                                                   the float data arrays (recommended: slof or

                                                                   pic) (default: 'none' valid: 'none', 'linear',

                                                                   'pic', 'slof')

    Remove spectra or select spectra (removing all others) with certain properties:

      -spectra:remove_zoom                                         Remove zoom (enhanced resolution) scans

      -spectra:remove_mode <mode>                                  Remove scans by scan mode (valid: 'Unknown',

                                                                   'MassSpectrum', 'MS1Spectrum', 'MSnSpectrum',

                                                                   'SelectedIonMonitoring', 'SelectedReactionMoni

                                                                   toring', 'ConsecutiveReactionMonitoring', 'Con

                                                                   stantNeutralGain', 'ConstantNeutralLoss', 'Pre

                                                                   cursor', 'EnhancedMultiplyCharged', 'TimeDelay

                                                                   edFragmentation', 'ElectromagneticRadiation',

                                                                   'Emission', 'Absorption')

    Remove spectra or select spectra (removing all others) with certain properties:

      -spectra:remove_activation <activation>                      Remove MSn scans where any of its precursors

                                                                   features a certain activation method (valid:

                                                                   'Collision-induced dissociation', 'Post-source

                                                                   decay', 'Plasma desorption', 'Surface-induced

                                                                   dissociation', 'Blackbody infrared radiative

                                                                   dissociation', 'Electron capture dissociation'

                                                                   , 'Infrared multiphoton dissociation', 'Sustai

                                                                   ned off-resonance irradiation', 'High-energy

                                                                   ...

                                                                   sed q dissociation')

      -spectra:remove_collision_energy [min]:[max]                 Remove MSn scans with a collision energy in

                                                                   the given interval (default: ':')

      -spectra:remove_isolation_window_width [min]:[max]           Remove MSn scans whose isolation window width

                                                                   is in the given interval (default: ':')

    Remove spectra or select spectra (removing all others) with certain properties:

      -spectra:select_zoom                                         Select zoom (enhanced resolution) scans

      -spectra:select_mode <mode>                                  Selects scans by scan mode

                                                                   (valid: 'Unknown', 'MassSpectrum', 'MS1Spect

                                                                   rum', 'MSnSpectrum', 'SelectedIonMonitoring',

                                                                   'SelectedReactionMonitoring', 'ConsecutiveReac

                                                                   tionMonitoring', 'ConstantNeutralGain', 'Const

                                                                   antNeutralLoss', 'Precursor', 'EnhancedMultipl

                                                                   yCharged', 'TimeDelayedFragmentation', 'Electr

                                                                   omagneticRadiation', 'Emission', 'Absorption')

      -spectra:select_activation <activation>                      Retain MSn scans where any of its precursors

                                                                   features a certain activation method (valid:

                                                                   'Collision-induced dissociation', 'Post-source

                                                                   decay', 'Plasma desorption', 'Surface-induced

                                                                   dissociation', 'Blackbody infrared radiative

                                                                   dissociation', 'Electron capture dissociation'

                                                                   , 'Infrared multiphoton dissociation', 'Sustai

                                                                   ned off-resonance irradiation', 'High-energy

                                                                   ...

                                                                   sed q dissociation')

      -spectra:select_collision_energy [min]:[max]                 Select MSn scans with a collision energy in

                                                                   the given interval (default: ':')

      -spectra:select_isolation_window_width [min]:[max]           Select MSn scans whose isolation window width

                                                                   is in the given interval (default: ':')

    Remove spectra or select spectra (removing all others) with certain properties:

      -spectra:select_polarity <polarity>                          Retain MSn scans with a certain scan polarity

                                                                   (valid: 'unknown', 'positive', 'negative')

    Black or white listing of of MS2 spectra by spectral similarity:

      -spectra:blackorwhitelist:file <file>                        Input file containing MS2 spectra that should

                                                                   be retained or removed from the mzML file!

                                                                   Matching tolerances are taken from 'spectra:b

                                                                   lackorwhitelist:similarity_threshold|rt|mz'

                                                                   options.

                                                                   (valid formats: 'mzML')

      -spectra:blackorwhitelist:similarity_threshold <similarity>  Similarity threshold when matching MS2 spectra

                                                                   . (-1 = disabled). (default: '-1.0' min: '-1.0

                                                                   ' max: '1.0')

      -spectra:blackorwhitelist:rt tolerance                       Retention tolerance [s] when matching precurso

                                                                   r positions. (-1 = disabled) (default: '0.01')

      -spectra:blackorwhitelist:mz tolerance                       M/z tolerance [Th] when matching precursor

                                                                   positions. (-1 = disabled) (default: '0.01')

      -spectra:blackorwhitelist:use_ppm_tolerance                  If ppm tolerance should be used. Otherwise Da

                                                                   are used. (default: 'false')

      -spectra:blackorwhitelist:blacklist                          True: remove matched MS2. False: retain matche

                                                                   d MS2 spectra. Other levels are kept (default:

                                                                   'true' valid: 'false', 'true')

    Feature data options:

      -feature:q [min]:[max]                                       Overall quality range to extract [0:1] (defaul

                                                                   t: ':')

    Consensus feature data options:

      -consensus:map i j ...                                       Non-empty list of maps to be extracted from a

                                                                   consensus (indices are 0-based).

      -consensus:map_and                                           Consensus features are kept only if they conta

                                                                   in exactly one feature from each map (as given

                                                                   above in 'map')

    Black or white listing of of MS2 spectra by consensus features:

      -consensus:blackorwhitelist:blacklist                        True: remove matched MS2. False: retain matche

                                                                   d MS2 spectra. Other levels are kept (default:

                                                                   'true' valid: 'false', 'true')

      -consensus:blackorwhitelist:file <file>                      Input file containing consensus features whose

                                                                   corresponding MS2 spectra should be removed

                                                                   from the mzML file!

                                                                   Matching tolerances are taken from 'consensus

                                                                   :blackorwhitelist:rt' and 'consensus:blackorwh

                                                                   itelist:mz' options.

                                                                   If consensus:blackorwhitelist:maps is specifi

                                                                   ed, only these will be used.

                                                                   (valid formats: 'consensusXML')

      -consensus:blackorwhitelist:maps i j ...                     Maps used for black/white list filtering

      -consensus:blackorwhitelist:rt tolerance                     Retention tolerance [s] for precursor to conse

                                                                   nsus feature position (default: '60.0' min:

                                                                   '0.0')

      -consensus:blackorwhitelist:mz tolerance                     M/z tolerance [Th] for precursor to consensus

                                                                   feature position (default: '0.01' min: '0.0')

      -consensus:blackorwhitelist:use_ppm_tolerance                If ppm tolerance should be used. Otherwise Da

                                                                   are used. (default: 'false' valid: 'false',

                                                                   'true')

    Feature & Consensus data options:

      -f_and_c:charge [min]:[max]                                  Charge range to extract (default: ':')

      -f_and_c:size [min]:[max]                                    Size range to extract (default: ':')

      -f_and_c:remove_meta <name> 'lt|eq|gt' <value>               Expects a 3-tuple (=3 entries in the list),

                                                                   i.e. <name> 'lt|eq|gt' <value>; the first is

                                                                   the name of meta value, followed by the compar

                                                                   ison operator (equal, less or greater) and

                                                                   the value to compare to. All comparisons are

                                                                   done after converting the given value to the

                                                                   corresponding data value type of the meta valu

                                                                   e (for lists, this simply compares length,

                                                                   not content!)!

    ID options. The Priority of the id-flags is: remove_annotated_features / remove_unannotated_features -> remov

    e_clashes -> keep_best_score_id -> sequences_whitelist  / accessions_whitelist:

      -id:keep_best_score_id                                       In case of multiple peptide identifications,

                                                                   keep only the id with best score

      -id:sequences_whitelist <sequence>                           Keep only features containing whitelisted subs

                                                                   trings, e.g. features containing LYSNLVER or

                                                                   the modification (Oxidation). To control compa

                                                                   rison method used for whitelisting, see 'id:se

                                                                   quence_comparison_method'.

      -id:accessions_whitelist <accessions>                        Keep only features with white listed accession

                                                                   s, e.g. sp|P02662|CASA1_BOVIN

      -id:remove_annotated_features                                Remove features with annotations

      -id:remove_unannotated_features                              Remove features without annotations

      -id:remove_unassigned_ids                                    Remove unassigned peptide identifications

      -id:blacklist <file>                                         Input file containing MS2 identifications whos

                                                                   e corresponding MS2 spectra should be removed

                                                                   from the mzML file!

                                                                   Matching tolerances are taken from 'id:rt' an

                                                                   d 'id:mz' options.

                                                                   This tool will require all IDs to be matched

                                                                   to an MS2 spectrum, and quit with error otherw

                                                                   ise. Use 'id:blacklist_imperfect' to allow

                                                                   for mismatches. (valid formats: 'idXML')

      -id:rt tolerance                                             Retention tolerance [s] for precursor to id

                                                                   position (default: '0.1' min: '0.0')

      -id:mz tolerance                                             M/z tolerance [Th] for precursor to id positio

                                                                   n (default: '0.001' min: '0.0')

      -id:blacklist_imperfect                                      Allow for mismatching precursor positions (see

                                                                   'id:blacklist')

    Common TOPP options:

      -ini <file>                                                  Use the given TOPP INI file

      -threads <n>                                                 Sets the number of threads allowed to be used

                                                                   by the TOPP tool (default: '1')

      -write_ini <file>                                            Writes the default configuration file

      --help                                                       Shows options

      --helphelp                                                   Shows all options (including advanced)

    The following configuration subsections are valid:

     - algorithm   S/N algorithm section

    You can write an example INI file using the '-write_ini' option.

    Documentation of subsection parameters can be found in the doxygen documentation or the INIFileEditor.

    For more information, please consult the online documentation for this tool:

      - http://www.openms.de/documentation/TOPP_FileFilter.html

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+FileFilter Extracts or manipulates portions of data from peak, feature or consensus-feature files.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'FileFilter'
in Input file input file*.mzML,*.featureXML,*.consensusXML
in_type Input file type -- default: determined from file extension or content mzML,featureXML,consensusXML
out Output file output file*.mzML,*.featureXML,*.consensusXML
out_type Output file type -- default: determined from file extension or content mzML,featureXML,consensusXML
rt: Retention time range to extract
mz: m/z range to extract (applies to ALL ms levels!)
int: Intensity range to extract
sort false Sorts the output according to RT and m/z.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++peak_options Peak data options
sn 0.0 Write peaks with S/N > 'sn' values only
rm_pc_charge[] Remove MS(2) spectra with these precursor charges. All spectra without precursor are kept!
pc_mz_range: MSn (n>=2) precursor filtering according to their m/z value. Do not use this flag in conjunction with 'mz', unless you want to actually remove peaks in spectra (see 'mz'). RT filtering is covered by 'rt' and compatible with this flag.
pc_mz_list[] List of m/z values. If a precursor window covers ANY of these values, the corresponding MS/MS spectrum will be kept.
level[1, 2, 3] MS levels to extract
sort_peaks false Sorts the peaks according to m/z true,false
no_chromatograms false No conversion to space-saving real chromatograms, e.g. from SRM scans true,false
remove_chromatograms false Removes chromatograms stored in a file true,false
remove_empty false Removes spectra and chromatograms without peaks.true,false
mz_precision 64 Store base64 encoded m/z data using 32 or 64 bit precision 32,64
int_precision 32 Store base64 encoded intensity data using 32 or 64 bit precision 32,64
indexed_file true Whether to add an index to the file when writing true,false
zlib_compression false Whether to store data with zlib compression (lossless compression)true,false
++++numpress Numpress compression for peak data
masstime none Apply MS Numpress compression algorithms in m/z or rt dimension (recommended: linear)none,linear,pic,slof
lossy_mass_accuracy-1.0 Desired (absolute) m/z accuracy for lossy compression (e.g. use 0.0001 for a mass accuracy of 0.2 ppm at 500 m/z, default uses -1.0 for maximal accuracy).
intensity none Apply MS Numpress compression algorithms in intensity dimension (recommended: slof or pic)none,linear,pic,slof
float_da none Apply MS Numpress compression algorithms for the float data arrays (recommended: slof or pic)none,linear,pic,slof
+++spectra Remove spectra or select spectra (removing all others) with certain properties
remove_zoom false Remove zoom (enhanced resolution) scans true,false
remove_mode Remove scans by scan mode Unknown,MassSpectrum,MS1Spectrum,MSnSpectrum,SelectedIonMonitoring,SelectedReactionMonitoring,ConsecutiveReactionMonitoring,ConstantNeutralGain,ConstantNeutralLoss,Precursor,EnhancedMultiplyCharged,TimeDelayedFragmentation,ElectromagneticRadiation,Emission,Absorption
remove_activation Remove MSn scans where any of its precursors features a certain activation method Collision-induced dissociation,Post-source decay,Plasma desorption,Surface-induced dissociation,Blackbody infrared radiative dissociation,Electron capture dissociation,Infrared multiphoton dissociation,Sustained off-resonance irradiation,High-energy collision-induced dissociation,Low-energy collision-induced dissociation,Photodissociation,Electron transfer dissociation,Pulsed q dissociation
remove_collision_energy: Remove MSn scans with a collision energy in the given interval
remove_isolation_window_width: Remove MSn scans whose isolation window width is in the given interval
select_zoom false Select zoom (enhanced resolution) scans true,false
select_mode Selects scans by scan mode
Unknown,MassSpectrum,MS1Spectrum,MSnSpectrum,SelectedIonMonitoring,SelectedReactionMonitoring,ConsecutiveReactionMonitoring,ConstantNeutralGain,ConstantNeutralLoss,Precursor,EnhancedMultiplyCharged,TimeDelayedFragmentation,ElectromagneticRadiation,Emission,Absorption
select_activation Retain MSn scans where any of its precursors features a certain activation method Collision-induced dissociation,Post-source decay,Plasma desorption,Surface-induced dissociation,Blackbody infrared radiative dissociation,Electron capture dissociation,Infrared multiphoton dissociation,Sustained off-resonance irradiation,High-energy collision-induced dissociation,Low-energy collision-induced dissociation,Photodissociation,Electron transfer dissociation,Pulsed q dissociation
select_collision_energy: Select MSn scans with a collision energy in the given interval
select_isolation_window_width: Select MSn scans whose isolation window width is in the given interval
select_polarity Retain MSn scans with a certain scan polarity unknown,positive,negative
++++blackorwhitelist Black or white listing of of MS2 spectra by spectral similarity
file Input file containing MS2 spectra that should be retained or removed from the mzML file!
Matching tolerances are taken from 'spectra:blackorwhitelist:similarity_threshold|rt|mz' options.
input file*.mzML
similarity_threshold-1.0 Similarity threshold when matching MS2 spectra. (-1 = disabled).-1.0:1.0
rt 0.01 Retention tolerance [s] when matching precursor positions. (-1 = disabled)
mz 0.01 m/z tolerance [Th] when matching precursor positions. (-1 = disabled)
use_ppm_tolerance false If ppm tolerance should be used. Otherwise Da are used.
blacklist true True: remove matched MS2. False: retain matched MS2 spectra. Other levels are kept false,true
+++feature Feature data options
q: Overall quality range to extract [0:1]
+++consensus Consensus feature data options
map[] Non-empty list of maps to be extracted from a consensus (indices are 0-based).
map_and false Consensus features are kept only if they contain exactly one feature from each map (as given above in 'map')true,false
++++blackorwhitelist Black or white listing of of MS2 spectra by consensus features
blacklist true True: remove matched MS2. False: retain matched MS2 spectra. Other levels are kept false,true
file Input file containing consensus features whose corresponding MS2 spectra should be removed from the mzML file!
Matching tolerances are taken from 'consensus:blackorwhitelist:rt' and 'consensus:blackorwhitelist:mz' options.
If consensus:blackorwhitelist:maps is specified, only these will be used.
input file*.consensusXML
maps[] Maps used for black/white list filtering
rt 60.0 Retention tolerance [s] for precursor to consensus feature position 0.0:∞
mz 0.01 m/z tolerance [Th] for precursor to consensus feature position 0.0:∞
use_ppm_tolerance false If ppm tolerance should be used. Otherwise Da are used.false,true
+++f_and_c Feature & Consensus data options
charge: Charge range to extract
size: Size range to extract
remove_meta[] Expects a 3-tuple (=3 entries in the list), i.e. 'lt|eq|gt' ; the first is the name of meta value, followed by the comparison operator (equal, less or greater) and the value to compare to. All comparisons are done after converting the given value to the corresponding data value type of the meta value (for lists, this simply compares length, not content!)!
+++id ID options. The Priority of the id-flags is: remove_annotated_features / remove_unannotated_features -> remove_clashes -> keep_best_score_id -> sequences_whitelist / accessions_whitelist
remove_clashes false Remove features with id clashes (different sequences mapped to one feature)true,false
keep_best_score_id false in case of multiple peptide identifications, keep only the id with best score true,false
sequences_whitelist[] Keep only features containing whitelisted substrings, e.g. features containing LYSNLVER or the modification (Oxidation). To control comparison method used for whitelisting, see 'id:sequence_comparison_method'.
sequence_comparison_method substring Comparison method used to determine if a feature is whitelisted.substring,exact
accessions_whitelist[] keep only features with white listed accessions, e.g. sp|P02662|CASA1_BOVIN
remove_annotated_features false Remove features with annotations true,false
remove_unannotated_features false Remove features without annotations true,false
remove_unassigned_ids false Remove unassigned peptide identifications true,false
blacklist Input file containing MS2 identifications whose corresponding MS2 spectra should be removed from the mzML file!
Matching tolerances are taken from 'id:rt' and 'id:mz' options.
This tool will require all IDs to be matched to an MS2 spectrum, and quit with error otherwise. Use 'id:blacklist_imperfect' to allow for mismatches.input file*.idXML
rt 0.1 Retention tolerance [s] for precursor to id position 0.0:∞
mz 0.001 m/z tolerance [Th] for precursor to id position 0.0:∞
blacklist_imperfect false Allow for mismatching precursor positions (see 'id:blacklist')true,false
+++algorithm S/N algorithm section
++++SignalToNoise
max_intensity-1 maximal intensity considered for histogram construction. By default, it will be calculated automatically (see auto_mode). Only provide this parameter if you know what you are doing (and change 'auto_mode' to '-1')! All intensities EQUAL/ABOVE 'max_intensity' will be added to the LAST histogram bin. If you choose 'max_intensity' too small, the noise estimate might be too small as well. If chosen too big, the bins become quite large (which you could counter by increasing 'bin_count', which increases runtime). In general, the Median-S/N estimator is more robust to a manual max_intensity than the MeanIterative-S/N.-1:∞
auto_max_stdev_factor 3.0 parameter for 'max_intensity' estimation (if 'auto_mode' == 0): mean + 'auto_max_stdev_factor' * stdev 0.0:999.0
auto_max_percentile 95 parameter for 'max_intensity' estimation (if 'auto_mode' == 1): auto_max_percentile th percentile 0:100
auto_mode 0 method to use to determine maximal intensity: -1 --> use 'max_intensity'; 0 --> 'auto_max_stdev_factor' method (default); 1 --> 'auto_max_percentile' method-1:1
win_len 200.0 window length in Thomson 1.0:∞
bin_count 30 number of bins for intensity values 3:∞
min_required_elements 10 minimum number of elements required in a window (otherwise it is considered sparse)1:∞
noise_for_empty_window 1.0e20 noise value used for sparse windows
write_log_messages true Write out log messages in case of sparse windows or median in rightmost histogram bin true,false

For the parameters of the S/N algorithm section see the class documentation there:
peak_options:sn